Package org.zkoss.bind

## Interface ViewModelAnnotationResolver

- All Known Implementing Classes:
    `DefaultViewModelAnnotationResolver`

      public interface ViewModelAnnotationResolver

  The annotation resolver to handle annotations in view model.
  Since:
    9.6.0
  Author:
    jameschu

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `<T extends java.lang.annotation.Annotation> T` | `getAnnotation​(java.lang.Class clazz, java.lang.Class<T> annotationClass)` | Get the specific annotation from the class
    `<T extends java.lang.annotation.Annotation> T` | `getAnnotation​(java.lang.reflect.Method method, java.lang.Class<T> annotationClass)` | Get the specific annotation from the method
    `java.lang.reflect.Method` | `getOriginalMethod​(java.lang.Object base, java.lang.reflect.Method method)` | Get original method (if proxied)

- - ### Method Detail

    - #### getAnnotation

          <T extends java.lang.annotation.Annotation> T getAnnotation​(java.lang.reflect.Method method,
                                                                      java.lang.Class<T> annotationClass)

      Get the specific annotation from the method
      Parameters:
        `method` -
        `annotationClass` -
      Returns:
        T annotation
      Since:
        9.6.0

    - #### getAnnotation

          <T extends java.lang.annotation.Annotation> T getAnnotation​(java.lang.Class clazz,
                                                                      java.lang.Class<T> annotationClass)

      Get the specific annotation from the class
      Parameters:
        `clazz` -
        `annotationClass` -
      Returns:
        T annotation
      Since:
        9.6.0

    - #### getOriginalMethod

          java.lang.reflect.Method getOriginalMethod​(java.lang.Object base,
                                                     java.lang.reflect.Method method)

      Get original method (if proxied)
      Parameters:
        `base` -
        `method` -
      Returns:
        Method
      Since:
        9.6.0